--- old/usr/src/uts/common/io/bge/bge_atomic.c	2014-07-28 07:43:47.158457851 -0400
+++ new/usr/src/uts/common/io/bge/bge_atomic.c	2014-07-28 07:43:47.164042905 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include "bge_impl.h"
 
 /*
@@ -49,7 +47,7 @@
 		newval = oldval - n;
 		if (oldval <= n)
 			return (0);		/* no resources left	*/
-	} while (cas64(count_p, oldval, newval) != oldval);
+	} while (atomic_cas_64(count_p, oldval, newval) != oldval);
 
 	return (newval);
 }
@@ -67,7 +65,7 @@
 	do {
 		oldval = *count_p;
 		newval = oldval + n;
-	} while (cas64(count_p, oldval, newval) != oldval);
+	} while (atomic_cas_64(count_p, oldval, newval) != oldval);
 }
 
 /*
@@ -83,7 +81,7 @@
 	do {
 		oldval = *count_p;
 		newval = NEXT(oldval, limit);
-	} while (cas64(count_p, oldval, newval) != oldval);
+	} while (atomic_cas_64(count_p, oldval, newval) != oldval);
 
 	return (oldval);
 }
@@ -102,7 +100,7 @@
 	do {
 		oldval = *sp;
 		newval = NEXT(oldval, limit);
-	} while (cas64(sp, oldval, newval) != oldval);
+	} while (atomic_cas_64(sp, oldval, newval) != oldval);
 
 	return (oldval);
 }
@@ -120,7 +118,7 @@
 	do {
 		oldval = *count_p;
 		newval = oldval - n;
-	} while (cas64(count_p, oldval, newval) != oldval);
+	} while (atomic_cas_64(count_p, oldval, newval) != oldval);
 }
 
 /*
@@ -137,7 +135,7 @@
 	do {
 		oldval = *sp;
 		newval = oldval & ~bits;
-	} while (cas64(sp, oldval, newval) != oldval);
+	} while (atomic_cas_64(sp, oldval, newval) != oldval);
 
 	return (oldval);
 }
@@ -156,7 +154,7 @@
 	do {
 		oldval = *sp;
 		newval = oldval << count;
-	} while (cas32(sp, oldval, newval) != oldval);
+	} while (atomic_cas_32(sp, oldval, newval) != oldval);
 
 	return (oldval);
 }
